GWT 2.7.0

## com.google.gwt.cell.client
Class ImageLoadingCell.DefaultRenderers

    java.lang.Object
      com.google.gwt.cell.client.ImageLoadingCell.DefaultRenderers

All Implemented Interfaces:
  ImageLoadingCell.Renderers

Enclosing class:
  ImageLoadingCell

    public static class ImageLoadingCell.DefaultRenderers

extends java.lang.Object
implements ImageLoadingCell.Renderers

The default `SafeHtmlRenderers`.

Constructor Summary
`ImageLoadingCell.DefaultRenderers()`

Method Summary
`SafeHtmlRenderer<java.lang.String>` | `getErrorRenderer()` Returns the renderer for a broken image.
`SafeHtmlRenderer<java.lang.String>` | `getImageRenderer()` Returns the renderer for an image.
`SafeHtmlRenderer<java.lang.String>` | `getLoadingRenderer()` Returns the renderer for a loading image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageLoadingCell.DefaultRenderers

    public ImageLoadingCell.DefaultRenderers()

Method Detail

### getErrorRenderer

    public SafeHtmlRenderer<java.lang.String> getErrorRenderer()

  Returns the renderer for a broken image.

  Specified by:
    `getErrorRenderer` in interface `ImageLoadingCell.Renderers`
  Returns:
    a `SafeHtmlRenderer<String>` instance

### getImageRenderer

    public SafeHtmlRenderer<java.lang.String> getImageRenderer()

  Returns the renderer for an image.

  Specified by:
    `getImageRenderer` in interface `ImageLoadingCell.Renderers`
  Returns:
    a `SafeHtmlRenderer<String>` instance

### getLoadingRenderer

    public SafeHtmlRenderer<java.lang.String> getLoadingRenderer()

  Returns the renderer for a loading image.

  Specified by:
    `getLoadingRenderer` in interface `ImageLoadingCell.Renderers`
  Returns:
    a `SafeHtmlRenderer<String>` instance

GWT 2.7.0